//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "sys_splash.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------

void FormRegion(HWND Handle, Graphics::TBitmap* Bitmap, TColor TransparentColor, int Range)
{
	int x, y, FirstX;
	bool LastBeen;
	HRGN ComplexRGN, TempRGN;
	ComplexRGN = CreateRectRgn(0, 0, 0, 0);
	for (y = 0; y < Bitmap->Height; y++)
	{
		FirstX = 0;
		LastBeen = false;
		for (x = 0; x < Bitmap->Width; x++)
		{
			if ((abs(Bitmap->Canvas->Pixels[x][y] - TransparentColor) > Range))
			{
				if (!LastBeen)
				{
					LastBeen = true;
					FirstX = x;
				}
			}else{
				if (LastBeen)
				{
					LastBeen = false; 	
					TempRGN = CreateRectRgn(FirstX, y, x, y + 1);
//					CombineRgn(ComplexRGN, ComplexRGN, TempRGN, RGN_OR);
					CombineRgn(ComplexRGN, ComplexRGN, TempRGN, RGN_XOR);
					DeleteObject(TempRGN);
				}
			}
		}
	}
	SetWindowRgn(Handle, ComplexRGN, true);
	DeleteObject(ComplexRGN);
} 

//---------------------------------------------------------------------------
 
